<ui:composition xmlns="http://www.w3.org/1999/xhtml"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	 xmlns:p="http://primefaces.org/ui"
	
	xmlns:c="http://java.sun.com/jsp/jstl/core"
	xmlns:b="http://bootsfaces.net/ui">
		<html>
	  <h:head>  
<link type="text/css" href="assets/libs/bootstrap/css/bootstrap.css" rel="stylesheet"/>
    </h:head>
	<body>
		<div id="Menu">
		<ui:include src="/HomeManager.xhtml" />
		<div class="row">
		 <div class="col-lg-3"></div>
		
		 <div class="col-md-offset-3">
		<center><h1><STRONG>My Absences</STRONG></h1></center>
		   <ui:fragment  >
<div class="row">
					<div class="col-md-12">
						<div class="widget">
							<div class="widget-header transparent">
								<h2><strong>My Absences</strong></h2>
								<div class="additional-btn">
									<a href="#" class="hidden reload"><i class="icon-ccw-1"></i></a>
									<a href="#" class="widget-toggle"><i class="icon-down-open-2"></i></a>
									<a href="#" class="widget-close"><i class="icon-cancel-3"></i></a>
								</div>
							</div>
							<div class="widget-content">
								<div class="data-table-toolbar">
								
			
									<div class="row">
										<div class="col-md-4">
										
											
											<h:outputText value="Date of Absences : " />
											<h:form>
											<p:calendar id="german" event="change" value="#{absenceBean.dd}" />
											<h:outputText value="&#160;" />
											<h:commandButton styleClass="btn btn-success" class="btn btn-yellow-1" action="#{absenceBean.filter()}" value="Search" ></h:commandButton>
									
											</h:form>
										</div>
										<div class="col-md-8">
											<div class="toolbar-btn-action">
											<h:form>
											
											   
												<h:outputText value="&#160;" />
												<h:commandLink action="/absencesPage?faces-redirect=true" value="Update" styleClass="btn btn-flickr"><i class="fa fa-refresh"></i></h:commandLink>
												</h:form>
											</div>
										</div>
									</div>
								</div>
									
								<div class="table-responsive">
								<h:form>
		<h:dataTable value="#{absenceBean.absences}" class="table table-hover table-striped" var="e" 
				>
									
										
				<h:column id="c1">
					<f:facet name="header">
						<h:outputText value="date From" />
					</f:facet>
					<h:outputText value="#{e.fromDate}" />
					
				</h:column>
				<h:column id="c2">
					<f:facet name="header">
						<h:outputText value="Date To" />
					</f:facet>
					<h:outputText value="#{e.toDate}" />
					
				</h:column>
				
				<h:column id="c3">
					<f:facet name="header">
						<h:outputText value="Justifed"  />
					</f:facet>
					 
					<h:outputText value="Justifed" class="label label-success" rendered="#{e.isJustified()}" />
					<h:outputText value="No Justified" class="label label-danger" rendered="#{!e.isJustified()}" />
				</h:column>
				<h:column id="c5">
					<f:facet name="header">
						<h:outputText value="Option" />
					</f:facet>
					
					<p:commandLink value="send Justification"  styleClass="btn btn-dribbble" onclick="PF('#{e.id}').show();" /> 
					
				</h:column>
				
									</h:dataTable>
									</h:form>
								</div>
									
								
							</div>
						</div>
					</div>
						
				</div>
</ui:fragment>
		
			</div></div>
</div>

<ui:repeat value="#{absenceBean.absences}" var="e"> 
	<p:dialog header="Send Justification with Email To your HR Manager" widgetVar="#{e.id}" modal="true" height="400" width="400">
	
	<h:form>
  <strong>  <h:outputText   value="your e-Mail:" /></strong><br></br>


	<p:inputText   value="#{absenceBean.email}"/>
		
		<br></br>
	
	<strong><h:outputText   value="your Password:" /></strong><br></br>
	<p:password id="nonFeedback" value="#{absenceBean.pass}" /><br></br>
	<h:outputText   value="your Text Justification:" /><br></br>
	
	<h:inputTextarea value="#{absenceBean.text}" />
	
    <br></br>
    <br></br>
	<p:commandButton  action="#{absenceBean.sendJustification()}" value="Send" styleClass="btn-linkedin" ></p:commandButton>
</h:form>

    
    
</p:dialog>   
</ui:repeat>
</body>
	
</html>
</ui:composition>


